Method: organizations.locations.workloads.patch

Updates an existing Assured Workload.

The returned google.longrunning.Operation has a metadata field of type OperationMetadata and a response field of type Workload.

HTTP request

PATCH https://{endpoint}/v2/{workload.name=organizations/*/locations/*/workloads/*}

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
workload.name

string

Identifier. The resource name of the workload. Format: organizations/{organization}/locations/{location}/workloads/{workload}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated, relative to Workload. Supported field paths are cloudControlConfigs and framework.major_revision_id. If omitted or empty, all mutable fields are updated. Full replacement (*) is not supported.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Workload.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/assuredworkloads
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • assuredworkloads.workload.update

For more information, see the IAM documentation.